summaryrefslogtreecommitdiffstats
path: root/libraries/cln/cln.SlackBuild
diff options
context:
space:
mode:
author Andrew Psaltis <ampsaltis@gmail.com>2010-05-13 00:29:00 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 00:29:00 +0200
commitc1ae51ec0400ec389063d767082afc6714179e9c (patch)
tree7db15ae1a1959f16811b8ae2275d662198b378c9 /libraries/cln/cln.SlackBuild
parentc59517bf48a6be72b4d421a3bc230edd09752f24 (diff)
downloadslackbuilds-c1ae51ec0400ec389063d767082afc6714179e9c.tar.gz
slackbuilds-c1ae51ec0400ec389063d767082afc6714179e9c.tar.xz
libraries/cln: Updated for version 1.3.1
Diffstat (limited to 'libraries/cln/cln.SlackBuild')
-rw-r--r--libraries/cln/cln.SlackBuild19
1 files changed, 7 insertions, 12 deletions
diff --git a/libraries/cln/cln.SlackBuild b/libraries/cln/cln.SlackBuild
index 2cf18d2fc0..700434f2c7 100644
--- a/libraries/cln/cln.SlackBuild
+++ b/libraries/cln/cln.SlackBuild
@@ -22,7 +22,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=cln
-VERSION=1.2.2
+VERSION=1.3.1
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -36,10 +36,13 @@ set -e
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -55,6 +58,7 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
@@ -69,7 +73,7 @@ make install DESTDIR=$PKG
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null
)
@@ -77,9 +81,6 @@ make install DESTDIR=$PKG
rm -f $PKG/usr/info/dir
gzip -9 $PKG/usr/info/*
-# Remove empty man dir
-rm -rf $PKG/usr/man
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/examples
cp -a \
COPYING INSTALL* NEWS README TODO \
@@ -87,17 +88,11 @@ cp -a \
cp -a \
examples/*.cc examples/*.1 \
$PKG/usr/doc/$PRGNAM-$VERSION/examples
-# Move docs that ignore --docdir to their proper place
-mv $PKG/usr/share/html $PKG/usr/share/dvi/* $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
-# Everything that was in $PKG/usr/share has been moved to
-# $PKG/usr/doc/cln-$VERSION (or is empty at time of compression)
-rm -rf $PKG/usr/share/
-
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}